Subject: Re: Postgres 7.4.3-1, plperl and perl-5.8.2 -cygwin install - server crash -win2000
From: Kumar Pandey <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Aug 2004 11:42:15 -0700 (PDT)

--- "Gerrit P. Haase" <[email-masked]> wrote:

> If this fails you can try to find a mirror where it
> is still available
> (a mirror which was not updated at least the last
> few weeks), then you
> may try to find it at 
>
ftp://mirrors.rcn.net/pub/sourceware/cygwin/release/perl
> where I'm currently uploading.
> 
> 
> Gerrit

I did a fresh cygwin install of Postgres 7.4.3-1,
perl-5.8.2-1.
plperl was installed fine and I could create a perl
function with no problem.
However using perl fuction in a SQL like so -
select empcomp(employee) from employee 
crashes the server. DB then reinitializes.
Here's the debug log from db.
I noticed the same behavior with manual install of
7.4.5-1 provided by Gerrit with perl-5.8.5-3.

-------------------------
DEBUG:  CommitTransactionCommand
DEBUG:  StartTransactionCommand
LOG:  statement: select empcomp(employee) from
employee;
DEBUG:  parse tree:
DETAIL:  {QUERY :commandType 1 :querySource 0
:canSetTag true :utilityStmt <>
        :resultRelation 0 :into <> :hasAggs false
:hasSubLinks false :rtable ({RTE
        :alias <> :eref {ALIAS :aliasname employee
:colnames ("name" "basesalary"
        "bonus")} :rtekind 0 :relid 17144 :inh true
:inFromCl true :checkForRead true
        :checkForWrite false :checkAsUser 0})
:jointree {FROMEXPR :fromlist
        ({RANGETBLREF :rtindex 1}) :quals <>}
:rowMarks () :targetList ({TARGETENTRY
        :resdom {RESDOM :resno 1 :restype 23
:restypmod -1 :resname empcomp
        :ressortgroupref 0 :resorigtbl 0 :resorigcol 0
:resjunk false} :expr {FUNCEXPR
        :funcid 17149 :funcresulttype 23 :funcretset
false :funcformat 0 :args ({VAR
        :varno 1 :varattno 0 :vartype 17145 :vartypmod
4 :varlevelsup 0 :varnoold 1
        :varoattno 0})}}) :groupClause <> :havingQual
<> :distinctClause <>
        :sortClause <> :limitOffset <> :limitCount <>
:setOperations <>
        :resultRelations ()}

DEBUG:  rewritten parse tree:
DETAIL:  ({QUERY :commandType 1 :querySource 0
:canSetTag true :utilityStmt <>
        :resultRelation 0 :into <> :hasAggs false
:hasSubLinks false :rtable ({RTE
        :alias <> :eref {ALIAS :aliasname employee
:colnames ("name" "basesalary"
        "bonus")} :rtekind 0 :relid 17144 :inh true
:inFromCl true :checkForRead true
        :checkForWrite false :checkAsUser 0})
:jointree {FROMEXPR :fromlist
        ({RANGETBLREF :rtindex 1}) :quals <>}
:rowMarks () :targetList ({TARGETENTRY
        :resdom {RESDOM :resno 1 :restype 23
:restypmod -1 :resname empcomp
        :ressortgroupref 0 :resorigtbl 0 :resorigcol 0
:resjunk false} :expr {FUNCEXPR
        :funcid 17149 :funcresulttype 23 :funcretset
false :funcformat 0 :args ({VAR
        :varno 1 :varattno 0 :vartype 17145 :vartypmod
4 :varlevelsup 0 :varnoold 1
        :varoattno 0})}}) :groupClause <> :havingQual
<> :distinctClause <>
        :sortClause <> :limitOffset <> :limitCount <>
:setOperations <>
        :resultRelations ()})

DEBUG:  plan:
DETAIL:  {SEQSCAN :startup_cost 0.00 :total_cost 22.50
:plan_rows 1000 :plan_width 4
        :targetlist ({TARGETENTRY :resdom {RESDOM
:resno 1 :restype 23 :restypmod -1
        :resname empcomp :ressortgroupref 0
:resorigtbl 0 :resorigcol 0 :resjunk
        false} :expr {FUNCEXPR :funcid 17149
:funcresulttype 23 :funcretset false
        :funcformat 0 :args ({VAR :varno 1 :varattno 0
:vartype 17145 :vartypmod 4
        :varlevelsup 0 :varnoold 1 :varoattno 0})}})
:qual <> :lefttree <> :righttree
        <> :initPlan <> :extParam () :allParam ()
:nParamExec 0 :scanrelid 1}

DEBUG:  PortalRun
DEBUG:  reaping dead processes
DEBUG:  child process (PID 2168) exited with exit code
128
LOG:  server process (PID 2168) exited with exit code
128
LOG:  terminating any other active server processes
LOG:  all server processes terminated; reinitializing
DEBUG:  shmem_exit(0)
DEBUG:  invoking IpcMemoryCreate(size=9469952)
LOG:  database system was interrupted at 2004-08-26
11:27:23 PDT
LOG:  checkpoint record is at 0/9DDFA0
LOG:  redo record is at 0/9DDFA0; undo record is at
0/0; shutdown TRUE
LOG:  next transaction ID: 536; next OID: 17142
LOG:  database system was not properly shut down;
automatic recovery in progress

DEBUG:  forked new backend, pid=2724 socket=7
FATAL:  the database system is starting up
DEBUG:  proc_exit(0)
DEBUG:  shmem_exit(0)
LOG:  redo starts at 0/9DDFE0
DEBUG:  exit(0)
DEBUG:  reaping dead processes
DEBUG:  child process (PID 2724) exited with exit code
0
LOG:  record with zero length at 0/A1B8D8
LOG:  redo done at 0/A1B8B0
LOG:  database system is ready
DEBUG:  proc_exit(0)
DEBUG:  shmem_exit(0)
DEBUG:  exit(0)
DEBUG:  reaping dead processes

		
__________________________________
Do you Yahoo!?
Yahoo! Mail - You care about security. So do we.
http://promotions.yahoo.com/new_mail

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/